%-------------------------------------------------------------------------%
% Compute wave velocity and refraction angle, incidence e1 direction
% From 1 to 2
% by Lei, TU/e, 2017
function [c,theta] = funRF(rhoD,CD,rhoM,CM,alpha1)

% phase velocity [c1L c1T; c2L c2T]
c = zeros(2,2);
c(1,1) = sqrt(CD(1,1)/rhoD(1,1));     % 1, metamaterial
c(1,2) = sqrt(CD(2,2)/rhoD(2,2));

c(2,1) = sqrt(CM(1,1)/rhoM(1,1));    % 2, normal materila 
c(2,2) = sqrt(CM(2,2)/rhoM(2,2));

% refraction angle [L-L T-L; L-T T-T]
theta = zeros(2,2);     
theta(1,1) = asin(sin(alpha1)/c(1,1)*c(2,1)) * 180/pi;
theta(1,2) = asin(sin(alpha1)/c(1,2)*c(2,1)) * 180/pi;

theta(2,1) = asin(sin(alpha1)/c(1,1)*c(2,2)) * 180/pi;
theta(2,2) = asin(sin(alpha1)/c(1,2)*c(2,2)) * 180/pi;